View Issue Details

IDProjectCategoryView StatusLast Update
0016968Buildsys[All Projects] generalpublic2020-06-17 11:39
Reporteramoralej 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Summary0016968: webkit2gtk3-devel is missing in aarch64 centos8 repo
DescriptionPackage webkit2gtk3-devel is in x86_64 and ppc64

http://mirror.centos.org/centos/8/AppStream/x86_64/os/Packages/webkit2gtk3-devel-2.24.4-2.el8_1.x86_64.rpm
http://mirror.centos.org/centos/8/AppStream/ppc64le/os/Packages/webkit2gtk3-devel-2.24.4-2.el8_1.ppc64le.rpm

But not in aarch64:

http://mirror.centos.org/centos/8/AppStream/aarch64/os/Packages/

This is blocking Cloud SIG to build some dependencies.
TagsNo tags attached.

Activities

alphacc

alphacc

2020-01-23 09:43

developer   ~0036099

Thanks for the report,

As it is out of the CBS scope, I am assigning it to Brian who has the power to look at it.

--
Thomas.
arrfab

arrfab

2020-01-27 12:43

administrator   ~0036133

Coming from this build it seems : https://koji.mbox.centos.org/koji/buildinfo?buildID=6246
amoralej

amoralej

2020-01-27 13:50

reporter   ~0036136

Current situation is coming from RHEL, -devel packages for webkit2gtk3 are in rhel repos for x86_64 but not for aarch64.

Would it be possible to somehow workaround it in CentOS before RHEL? (I presume it will take some time to get it fixed in RHEL).
JohnnyHughes

JohnnyHughes

2020-01-27 14:43

administrator   ~0036137

Last edited: 2020-01-27 14:56

View 3 revisions

https://access.redhat.com/errata/RHEA-2019:4262

It seems to be there.

So if it is missing in RHEL it is likely a bug there.

OH .. I take it back, the -devel- file is NOT in the errata.

amoralej

amoralej

2020-01-28 08:45

reporter   ~0036141

Yes, although i'm still not sure if that's on purpose, "asymmetric" arches looks weird to me.

Anyway, I guess we could treat this as a missing -devel package (we will hit more for the not included in RHEL). How could we move on with this?
apevec

apevec

2020-01-29 10:42

reporter   ~0036151

we need to get petro (Erlang/RabbitMQ maintainer) involved to see if we could just drop GTK part, we don't need any graphics support for RabbitMQ.
amoralej

amoralej

2020-02-04 18:00

reporter   ~0036199

Reported also to RHEL https://bugzilla.redhat.com/show_bug.cgi?id=1798169

Droping the wxwidgets subpackage in erlang to remove dependency from GTK3 removes also some other subpackages in addition to wxWidget:

# common_test
# debugger
# dialyzer
# et
# megaco
# observer
# reltool (*)

Those are required in other packages erlang packages, so i think the best approach is to push to get GTK.
apevec

apevec

2020-02-17 12:44

reporter   ~0036297

From RHEL bz, aarch64 is really fully supported until RHEL 8.2 so let's proceed bootstrapping CloudSIG on CentOS8 with ExclusiveArch x86_64 ppc64le
we can add aarch64 later after 8.2 is available.
hrw

hrw

2020-04-23 08:22

reporter   ~0036752

Can "centos-release-rabbitmq-38" package be removed from aarch64 extras until this bug is solved?
amoralej

amoralej

2020-06-17 11:38

reporter   ~0037139

webkit2gtk3-devel is in centos 8.2 so i guess we can close this.

Issue History

Date Modified Username Field Change
2020-01-23 09:40 amoralej New Issue
2020-01-23 09:43 alphacc Note Added: 0036099
2020-01-27 12:43 arrfab Note Added: 0036133
2020-01-27 13:50 amoralej Note Added: 0036136
2020-01-27 14:43 JohnnyHughes Note Added: 0036137
2020-01-27 14:44 JohnnyHughes Note Edited: 0036137 View Revisions
2020-01-27 14:56 JohnnyHughes Note Edited: 0036137 View Revisions
2020-01-28 08:45 amoralej Note Added: 0036141
2020-01-29 10:42 apevec Note Added: 0036151
2020-02-04 18:00 amoralej Note Added: 0036199
2020-02-17 12:44 apevec Note Added: 0036297
2020-04-23 08:22 hrw Note Added: 0036752
2020-06-17 11:38 amoralej Note Added: 0037139
2020-06-17 11:39 arrfab Status new => resolved
2020-06-17 11:39 arrfab Resolution open => fixed